Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.base
Class EacElement

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement

Direct Known Subclasses:
  Provisionable, Synchronizable, Utility

    public abstract class EacElement

extends java.lang.Object

Root object from which all EAC objects extend. Stores an application name and the host and port of the EAC central server as well as log and working directories. Additionally, this object exposes a unique identifier, a lockManager associated with the objects in an application, a boolean SSL indicator, and the data prefix of files used by components extending from this object.

Field Summary
`protected java.lang.String` | `appName` Name of the application
`protected java.lang.String` | `dataPrefix` Data prefix to use for all elements.
`protected java.lang.String` | `eacHost` Hostname of the EAC central server
`protected int` | `eacPort` Port on which the EAC central server is listening
`protected java.lang.String` | `elementId` ID of the EAC object.
`protected LockManager` | `lockManager` Lock manager used by this object.
`protected java.lang.String` | `logDir` Log directory, inherited by all EAC objects.
`protected boolean` | `sslEnabled` Indicates whether SSL should be used for EAC communication.
`protected java.lang.String` | `workingDir` Working directory, inherited by all EAC objects.

Constructor Summary
`EacElement()`

Method Summary
`java.lang.String` | `getAppName()` Get the application name.
`java.lang.String` | `getDataPrefix()`
`java.lang.String` | `getEacHost()` Gets the hostname of the EAC central server.
`int` | `getEacPort()` Gets the port of the EAC central server.
`java.lang.String` | `getElementId()`
`LockManager` | `getLockManager()`
`java.lang.String` | `getLogDir()` Gets the logs directory.
`java.lang.String` | `getWorkingDir()` Gets the working directory.
`boolean` | `isSslEnabled()`
`void` | `setAppName(java.lang.String appName)` Sets the application name.
`void` | `setDataPrefix(java.lang.String dataPrefix)`
`void` | `setEacHost(java.lang.String eacHost)` Sets the hostname of the EAC central server.
`void` | `setEacPort(int eacPort)` Sets the port of the EAC central server, verifying that the port is valid.
`void` | `setElementId(java.lang.String elementId)`
`void` | `setLockManager(LockManager lockManager)`
`void` | `setLogDir(java.lang.String logDir)` Sets the logs directory.
`void` | `setSslEnabled(boolean sslEnabled)`
`void` | `setWorkingDir(java.lang.String workingDir)` Sets the working directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### appName

    protected java.lang.String appName

  Name of the application

### eacHost

    protected java.lang.String eacHost

  Hostname of the EAC central server

### eacPort

    protected int eacPort

  Port on which the EAC central server is listening

### workingDir

    protected java.lang.String workingDir

  Working directory, inherited by all EAC objects.

### logDir

    protected java.lang.String logDir

  Log directory, inherited by all EAC objects.

### elementId

    protected java.lang.String elementId

  ID of the EAC object.

### lockManager

    protected LockManager lockManager

  Lock manager used by this object.

### sslEnabled

    protected boolean sslEnabled

  Indicates whether SSL should be used for EAC communication.

### dataPrefix

    protected java.lang.String dataPrefix

  Data prefix to use for all elements. Defaults to appName, if null

Constructor Detail

### EacElement

    public EacElement()

Method Detail

### getAppName

    public java.lang.String getAppName()

  Get the application name.

  Returns:
    The application name.

### setAppName

    public void setAppName(java.lang.String appName)

  Sets the application name.

  Parameters:
    `appName` - The application name.

### getEacHost

    public java.lang.String getEacHost()

  Gets the hostname of the EAC central server.

  Returns:
    The EAC host.

### setEacHost

    public void setEacHost(java.lang.String eacHost)

  Sets the hostname of the EAC central server.

  Parameters:
    `eacHost` - The EAC host.

### getEacPort

    public int getEacPort()

  Gets the port of the EAC central server.

  Returns:
    The EAC port.

### setEacPort

    public void setEacPort(int eacPort)
                    throws AppConfigurationException

  Sets the port of the EAC central server, verifying that the port is valid.

  Parameters:
    `eacPort` - The EAC port.
  Throws:
    `AppConfigurationException` - If an invalid EAC port is specified.

### getLogDir

    public java.lang.String getLogDir()

  Gets the logs directory.

  Returns:
    The logs directory.

### setLogDir

    public void setLogDir(java.lang.String logDir)

  Sets the logs directory.

  Parameters:
    `logDir` - Logs directory to set.

### getWorkingDir

    public java.lang.String getWorkingDir()

  Gets the working directory.

  Returns:
    The working directory.

### setWorkingDir

    public void setWorkingDir(java.lang.String workingDir)

  Sets the working directory.

  Parameters:
    `workingDir` - Working directory to set.

### getElementId

    public java.lang.String getElementId()

### setElementId

    public void setElementId(java.lang.String elementId)

### getLockManager

    public LockManager getLockManager()

### setLockManager

    public void setLockManager(LockManager lockManager)

### getDataPrefix

    public java.lang.String getDataPrefix()

### setDataPrefix

    public void setDataPrefix(java.lang.String dataPrefix)

### isSslEnabled

    public boolean isSslEnabled()

### setSslEnabled

    public void setSslEnabled(boolean sslEnabled)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Toolkit 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Toolkit (eacToolkit)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:15-0500